////////////////////////////////////////////////
////s~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~s////
////s           www.testbench.in           s////
////s                                      s////
////s              OVM Tutorial            s////
////s                                      s////
////s~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~s////
////////////////////////////////////////////////

class agent extends ovm_agent;
integer int_cfg;
string  str_cfg;

     `ovm_component_utils_begin(agent)
         `ovm_field_int(int_cfg, OVM_DEFAULT)
         `ovm_field_string(str_cfg, OVM_DEFAULT)
     `ovm_component_utils_end

      protected ovm_active_passive_enum is_active = OVM_ACTIVE;
      monitor mon;
      driver drv;

     function new(string name, ovm_component parent);
         super.new(name, parent);
     endfunction

     function void build();
         super.build();
         mon = monitor::type_id::create("mon",this);   
         drv = driver::type_id::create("drv",this);   
     endfunction

endclass


